function makeGraphs0504a

savePrefix = 'scalability-phase1';

% circuits = [   17     432     499     880     1355     1908     2670     3540     5315     6288     7552  ];
circuits = { 'c17', 'c432', 'c499', 'c880', 'c1355', 'c1908', 'c2670', 'c3540', 'c5315', 'c6288', 'c7552' };
seqMaxCA = [   10      72       0     120        0       57      336      100      265       64      312  ];
seqMaxEp = [   12      80       0     129        0       57      334      102      197       74      309  ];
genes = 2.*[    5      36      41      60       41       33      233       50      178       32      207  ];

circuits = fliplr(circuits);
seqMaxCA = fliplr(seqMaxCA);
seqMaxEp = fliplr(seqMaxEp);
genes    = fliplr(genes);
data = [ genes' seqMaxCA' ];


colormap mycolormap0504a;
barh(data, 1.5);

a = axis; 
a(4) = a(4)*1.1;
axis(a);
for i = 1:11;
  text( genes(i)+15, i, ...
        sprintf('%.0f%%', seqMaxCA(i) / genes(i) * 100 ), ...
        'BackgroundColor', [ hex2dec('F2') hex2dec('E1') hex2dec('BC') ] ./ 256, ...
        'EdgeColor', 'k', ...
        'FontAngle', 'italic' );
%         'BackgroundColor', 'w', ...
%         'EdgeColor', 'k', ...
end

grid on
title('Scalability experiments, phase 1: p=1, \delta=0, Y_0=1, X_0=0, \gamma=500');
set(gca,'YTickLabel',circuits)
ylabel('ISCAS circuit');
legend('number of genes','number of converged alleles');
ylim([0 12])

saveas(gcf, [savePrefix '.eps'], 'psc2' );
saveas(gcf, [savePrefix '.fig'] );
saveas(gcf, [savePrefix '.png'] );

set(gcf,'PaperUnits','normalized');
set(gcf,'PaperType','A4');
set(gcf,'PaperOrientation','Landscape');
set(gcf,'PaperPosition',[.1 .1 .8 .8]);
saveas(gcf, [savePrefix '.pdf'] );

end
